# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# JAVA_DIR comes from configure script
JAVA_DIR = @JAVA_DIR@
JYTHON_COMMAND = @JYTHONCOMMAND@

# You shouldn't need to modify anything below here...
JGIMP_JARFILE=jgimp.jar
JGIMP_IMAGEDIVIDER_JARFILE=image_divider.jar
JGIMP_DESATURATE_JARFILE=desaturate.jar
JGIMP_JYTHON_EXTENSION_JARFILE=jython_extension.jar

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
DATADIR = @DATADIR@
DATADIRNAME = @DATADIRNAME@
GENCAT = @GENCAT@
GIMPTOOL = @GIMPTOOL@
GIMP_CFLAGS = @GIMP_CFLAGS@
GIMP_CFLAGS_NOUI = @GIMP_CFLAGS_NOUI@
GIMP_DATA_DIR = @GIMP_DATA_DIR@
GIMP_LIBS = @GIMP_LIBS@
GIMP_LIBS_NOUI = @GIMP_LIBS_NOUI@
GIMP_PLUGIN_DIR = @GIMP_PLUGIN_DIR@
GLIBC21 = @GLIBC21@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_CONFIG = @GTK_CONFIG@
GTK_LIBS = @GTK_LIBS@
INSTOBJEXT = @INSTOBJEXT@
INTLBISON = @INTLBISON@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
LIBICONV = @LIBICONV@
LOCALEDIR = @LOCALEDIR@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
PACKAGE = @PACKAGE@
PLUGIN_MAJOR_VERSION = @PLUGIN_MAJOR_VERSION@
PLUGIN_MICRO_VERSION = @PLUGIN_MICRO_VERSION@
PLUGIN_MINOR_VERSION = @PLUGIN_MINOR_VERSION@
PLUGIN_NAME = @PLUGIN_NAME@
PLUGIN_VERSION = @PLUGIN_VERSION@
POFILES = @POFILES@
POSUB = @POSUB@
RANLIB = @RANLIB@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@

VERSION_FLAGS = -DVERSION=\"@PLUGIN_VERSION@\"

bin_PROGRAMS = jgimp

bindir = $(GIMP_PLUGIN_DIR)/plug-ins

JGIMP_BASE_DIR = $(GIMP_PLUGIN_DIR)/jgimp
JGIMP_JAVAFILES_DIR = $(JGIMP_BASE_DIR)/javafiles
JGIMP_JYTHON_PLUGINS_DIR = $(JGIMP_BASE_DIR)/jython/plugins
JGIMP_JYTHON_EXTENSIONS_DIR = $(JGIMP_BASE_DIR)/jython/extensions
JGIMP_JYTHON_SYSTEM_SCRIPTS_DIR = $(JGIMP_BASE_DIR)/jython/system

jgimp_SOURCES = main.c jgimp_data_conversions.c jgimp_gimp_plugin_adapter.c jgimp_jni_utils.c JGimpPlugInProxy.c jgimp_plugin_handler.c 


INCLUDES =  	-I$(top_srcdir)/intl 	@GIMP_CFLAGS@		-I$(JAVA_DIR)/include/ 		-I$(JAVA_DIR)/include/linux


LDADD =  	$(GIMP_LIBS_NOUI)		$(INTLLIBS)


AM_CPPFLAGS =  	-DLOCALEDIR=\""$(LOCALEDIR)"\"			-DDATADIR=\""$(DATADIR)"\"			-DPLUGIN_NAME=\""$(PLUGIN_NAME)"\"

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)

DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@ 
LDFLAGS = @LDFLAGS@ 
LIBS = @LIBS@
jgimp_OBJECTS =  main.o jgimp_data_conversions.o jgimp_gimp_plugin_adapter.o jgimp_jni_utils.o JGimpPlugInProxy.o jgimp_plugin_handler.o
jgimp_LDADD = $(LDADD) -ljava -lpthread
jgimp_DEPENDENCIES = plugin-intl.h jgimp_constants.h jgimp_data_conversions.h jgimp_gimp_adapter.h jgimp_jni_utils.h JGimpPlugInProxy.h jgimp_plugin_handler.h
jgimp_LDFLAGS = -L$(JAVA_DIR)/jre/lib/i386 -L$(JAVA_DIR)/jre/lib/i386/client -Wl,-rpath,$(JAVA_DIR)/jre/lib/i386:$(JAVA_DIR)/jre/lib/i386/client
CFLAGS = @CFLAGS@ -DJGIMP_BASE_DIR=\"$(JGIMP_BASE_DIR)\" -DJGIMP_COMPILE_AS_PLUGIN
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(jgimp_SOURCES)
OBJECTS = $(jgimp_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core *.so

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:
  
jgimp: $(jgimp_OBJECTS) $(jgimp_DEPENDENCIES)
	@rm -f jgimp
	$(LINK) $(jgimp_LDFLAGS) $(jgimp_OBJECTS) $(jgimp_LDADD) $(LIBS)

$(JGIMP_JARFILE):
	cd java; ant $(JYTHON_COMMAND)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	    a	   END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
main.o: main.c ../config.h plugin-intl.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
	-mkdir -p $(JGIMP_JAVAFILES_DIR)
	-mkdir -p $(JGIMP_JYTHON_SYSTEM_SCRIPTS_DIR)
	-mkdir -p $(JGIMP_JYTHON_EXTENSIONS_DIR)
	-mkdir -p $(JGIMP_JYTHON_PLUGINS_DIR)
	cp java/dist/$(JGIMP_JARFILE) $(JGIMP_JAVAFILES_DIR)
	cp java/dist/$(JGIMP_IMAGEDIVIDER_JARFILE) $(JGIMP_JAVAFILES_DIR)
	cp java/dist/$(JGIMP_DESATURATE_JARFILE) $(JGIMP_JAVAFILES_DIR)
	-cp java/dist/$(JGIMP_JYTHON_EXTENSION_JARFILE) $(JGIMP_JAVAFILES_DIR)
	cp -R jython/ $(JGIMP_BASE_DIR)

install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(JGIMP_JARFILE) $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean

	$(VERSION_FLAGS)

.PHONY: files

files:
	@files=`ls $(DISTFILES) 2> /dev/null`; for p in $$files; do \
	  echo $$p; \
	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
